#include <bits/stdc++.h>
#define ll long long
using namespace std;
const int NMAX=5e5+7;
int n;
ll a[NMAX];

int main()
{
    ios_base::sync_with_stdio(false);
    cin>>n;
    for(int i=1;i<=n;i++) cin>>a[i];
    ll res=1e18;
    for(ll i=0;i<=30;i++)
    {
        ll kolko=0;
        for(int j=1;j<=n;j++)
        {
            if(a[j]&(1LL<<i)) continue;
            ll doo=0;
            for(ll tmp=0;tmp<=i-1;tmp++) if(a[j]&(1LL<<tmp)) doo+=(1LL<<tmp);
            kolko+=((1LL<<i)-doo);
        }
        int postojinekiok=0;
        ll dodaces=1e18;
        for(ll t=0;t<=60;t++)
        {
            if(t==i) continue;
            ll kolko3=0;
            for(int j=1;j<=n;j++) if(a[j]&(1LL<<t)) kolko3++;
            if(kolko3==0 || kolko3==n) dodaces=min(dodaces, (1LL<<t));
            else postojinekiok=1;
        }
        // mozda uopste ne treba
        /*ll sad=0;
        if(i==0) sad=1;
        int kolko2=0;
        for(int j=1;j<=n;j++) if(a[j]&(1LL<<sad)) kolko2++;
        if(kolko2==0 || kolko2==n) kolko+=(1LL<<sad);*/
        if(!postojinekiok) kolko+=dodaces;
        res=min(res, kolko);
    }
    cout<<res;
    return 0;
}